Subject: Re: bug#10377: closed (Re: bug#10377: unrmail fails to produce any output for a empty BABYL folder)

From: Mark Lillibridge <[email-masked]>
Date: Sun, 15 Jan 2012 11:27:41 -0800

Glenn Morris <[email-masked]> writes:

>  Mark Lillibridge wrote:
>  
>  > have to understand that unrmail in batch mode is used to process a set
>  > of BABYL files to produce a parallel set of mbox files.  For example,
>  >
>  >     find Rmail -type f -exec grep -q '^BABYL OPTIONS' {} \; \
>  >           -exec ~/bin/emacs-22.3-install/bin/emacs -batch  \
>  >           -f batch-unrmail {} \; >& log
>  >
>  > Users likely would use further scripts to automatically move the
>  > resulting *.mail mbox files into place.  The correct behavior is simply
>  > to produce a zero length output file with no messages.
>  
>  
>  BABYL files with no messages are a fringe case of an obsolete format. 
>  Since unrmail has never produced output for these files, I'm not going 
>  to spend any more time on changing this now. If this is something you 
>  actually need to handle in practice on a frequent basis, I suggest using 
>  a handful of extra shell commands to check for empty BABYL files and
>  treat them separately.

    I'm fine with you marking this as "won't fix" -- it is an obscure
case after all -- but I wanted to make clear that the bug still exists.

- Mark